LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XShapeGrouper Interface Referencepublished

specifies the group/ungroup functionality. More...

`import"XShapeGrouper.idl";`

Inheritance diagram for XShapeGrouper:

## Public Member Functions
com::sun::star::drawing::XShapeGroup | group ([in] com::sun::star::drawing::XShapes xShapes)
| groups the Shapes inside a collection. More...
void | ungroup ([in] com::sun::star::drawing::XShapeGroup aGroup)
| ungroups a given GroupShape. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the group/ungroup functionality.

Developers Guide
  Drawings and Presentations - Grouping, Combining and Binding

## Member Function Documentation

## ◆ group()

com::sun::star::drawing::XShapeGroup group | ( | [in] com::sun::star::drawing::XShapes | xShapes | ) |

groups the Shapes inside a collection.

Grouping of objects in text documents works only if none of the objects has an anchor of type com::sun::star::text::TextContentAnchorType::AS_CHARACTER .

Parameters

  xShapes | the Shapes that will be grouped. They must all be inserted into the same GenericDrawPage.

Returns
  a newly created GroupShape that contains all Shapes from xShapes and is also added to the GenericDrawPage of the Shapes in xShapes.

## ◆ ungroup()

void ungroup | ( | [in] com::sun::star::drawing::XShapeGroup | aGroup | ) |

ungroups a given GroupShape.

Parameters

  aGroup | moves all Shapes from this GroupShape to the parent XShapes of the GroupShape. The GroupShape is then removed from the GenericDrawPage and disposed.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeGrouper.idl